// $Id: pending_user_notification_block_pagination.js,v 1.1 2009/07/06 04:41:20 hakulicious Exp $
var curPage = 1
var totalPages = Drupal.settings.pendingUserNotification.totalPages

var pendingUserNotification = {};

pendingUserNotification.buildLink = function(pageNumber, text)
{
	return "<a href=\"" + Drupal.settings.basePath + "pending_user_notification/json/" + pageNumber + "\">" + text + "</a>";
}

pendingUserNotification.pagination = function(currentPage)
{
	currentPage = Number(currentPage)
	var output = "";
	if(totalPages > 1)
	{
		output += (currentPage != 1) ?  pendingUserNotification.buildLink(currentPage - 1, "<") : "<span class=\"pagination_arrow\"><</span>";
		for(var i = 1; i <= totalPages; i++)
		{
			if(i == currentPage)
			{
				output += " <span class=\"current_pagination\">" + i + "</span>";
			}
			else if(i == 1  || i == (currentPage - 1) || i == (currentPage + 1) || i == totalPages)
			{
				output += " ";
				output += pendingUserNotification.buildLink(i, i);
			}
			else if(i == currentPage + 2 || i == currentPage - 2)
			{
				output += " ...";
			}
		}
		output += (currentPage != totalPages) ? pendingUserNotification.buildLink(currentPage + 1, " >") : " <span class=\"pagination_arrow\">></span>";

	}
	return output;
}

pendingUserNotification.setHandlers = function()
{
	$("#pending_user_notification_pagination a").each(function()
	{
		$(this).click(function()
		{
			var newHref = $(this).attr("href");
			var pieces = newHref.split("/");
			var curPage = pieces[pieces.length - 1];
			pendingUserNotification.getData(newHref, curPage);
			return false;
		});
	});
}

pendingUserNotification.getData = function(targetHref, currentPage)
{
	$.getJSON(targetHref, null, function(data)
	{
		var output = '<tbody>';
		$.each(data.users, function(i, users)
		{
			output += "<tr>";
			output += "<td scope=\"row\"><a href=\"" + Drupal.settings.basePath + "user/" + users.user.uid + "\">" + users.user.name + "</a></td>";
			output += "<td><a href=\"" + Drupal.settings.basePath + "user/" + users.user.uid + "/edit\">" + Drupal.t("Edit") + "</a></td>";
			output += "<td><a href=\"" + Drupal.settings.basePath + "user/" + users.user.uid + "/delete\">" + Drupal.t("Delete") + "</a></td>";
			output += "</tr>";
		});
		output += '</tbody>';
		$("#block-pending_user_notification-0 div.content").fadeOut("normal", function()
		{
			$("#block-pending_user_notification-0 div table tbody").replaceWith(output);
			$("#pending_user_notification_pagination").replaceWith("<div id=\"pending_user_notification_pagination\">" + pendingUserNotification.pagination(currentPage) + "</div>");
			pendingUserNotification.setHandlers();
		}).fadeIn("normal");
	});
}

if(Drupal.jsEnabled)
{
	Drupal.behaviors.pendingUserNotification = function()
	{
		$(".block-pending_user_notification table").after("<div id=\"pending_user_notification_pagination\"></div>")
		.next().append(pendingUserNotification.pagination(curPage));
		pendingUserNotification.setHandlers();
	}
}